Loading...
Searching...
No Matches
Gudhi::zigzag_persistence::Default_filtered_zigzag_options Struct Reference
Zigzag Persistence

Default options for Filtered_zigzag_persistence_with_storage and Filtered_zigzag_persistence. More...

`#include <include/gudhi/filtered_zigzag_persistence.h>`

## Public Types

using | Cell_key = int
using | Filtration_value = double
Public Types inherited from Gudhi::zigzag_persistence::Default_zigzag_options
using | Internal_key = int
using | Dimension = int

## Additional Inherited Members

Static Public Attributes inherited from Gudhi::zigzag_persistence::Default_zigzag_options
static const Gudhi::persistence_matrix::Column_types | column_type
| Column type use by the internal matrix.

## Detailed Description

Default options for Filtered_zigzag_persistence_with_storage and Filtered_zigzag_persistence.

## Member Typedef Documentation

## Cell_key

using Gudhi::zigzag_persistence::Default_filtered_zigzag_options::Cell_key = int

Cell ID used in the given boundaries.

## Filtration_value

using Gudhi::zigzag_persistence::Default_filtered_zigzag_options::Filtration_value = double

Filtration value type.

The documentation for this struct was generated from the following file:

- include/gudhi/filtered_zigzag_persistence.h